package com.cm.plugin.pojo.vos;

import com.cm.common.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SensitiveWordsVO
 * @Description: 敏感词
 * @Author: WenG
 * @Date: 2020-03-13 23:16
 * @Version: 1.0
 **/
@ApiModel
public class SensitiveWordsVO {

    @ApiModelProperty(name = "name", value = "名称")
    @CheckEmptyAnnotation(name = "名称")
    private String name;
    @ApiModelProperty(name = "message", value = "提示信息")
    private String message;

    public String getName() {
        return name == null ? "" : name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMessage() {
        return message == null ? "" : message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"name\":")
                .append("\"").append(name).append("\"");
        sb.append(",\"message\":")
                .append("\"").append(message).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
